Subject: [Bier] comments on draft-wang-bier-vxlan-use-case-00

From: Antoni Przygienda <[email-masked]>
Date: Sat, 31 Oct 2015 11:57:02 +0000

I disagree with the mechanism suggested since the membership needs to be exchanged only between BFERs and not flooded everywhere. This makes it an overlay problem and sticking the information into the BIER layer will blow it up for no apparent reason.

As to VNI membership/slicing overlay, yes, absolutely necessary for  VxLAN, no discussion. A possibility is to build a simple thing along the lines of router-side MLD where the VNI membership is blasted to all other BFERs in a well known subdomain containing the BFERs subdomain+VNIs  (roughly like suggested in the reference format) would solve the problem without melting down the IGP flooding (there is a subtle problem when BFERs join late where they need to Query, here the stuff will look more and more like MLD). Or the procedures vxLAN uses today using G can be possibly used directly. In any case, I think that the procedures to elect a DF for the VNIs will apply just like suggested by Ice's new draft unless we e.g. map the VNIs statically into Gs like 240.* (I hope I remember the mcast range correctly ;-) but I think this will not be an acceptable solution.

Look for the draft-pfister-bier-mld for further inspiration

thanks

--- tony

"Your work is to discover your work and then with all your heart to give yourself to it." --- Buddha